Bug Hunting Session
Bug 104372 - Ctrl+M is not associated with clear direct formatting in Impress and Draw
Summary: Ctrl+M is not associated with clear direct formatting in Impress and Draw
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0 target:5.3.0.2
Keywords:
Depends on:
Blocks: Shortcuts-Accelerators Clear-Formatting
  Show dependency treegraph
 
Reported: 2016-12-03 11:26 UTC by Mark Hung
Modified: 2017-05-12 23:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2016-12-03 11:26:48 UTC
Ctrl + M is associated with clear direct formatting in Calc and Writer. I think that it will be good to have consistent key binding for this function.
Comment 1 Buovjaga 2016-12-10 16:01:41 UTC
True.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 1fce5b024e9f25c3fcef2537a22474ece0dc416f
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on December 10th 2016
Comment 2 Commit Notification 2017-01-05 12:40:57 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=910817d7364253c8ed0dc876e5e38fdc707e0ee8

tdf#104372 Update UNO command of default formatting in Impress.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-01-13 11:38:47 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=09336ca3d8c9cfdc87522802106113d5b00247eb&h=libreoffice-5-3

tdf#104372 Update UNO command of default formatting in Impress.

It will be available in 5.3.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-01-15 23:21:24 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fef38c79e46feaf72e31253d80a82f26b4c2bcc7

tdf#104372 Update accelerator command of CTRL+M in Draw.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-01-16 21:40:05 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=820cd5fbd3e723e3f43610c86797b6339fff9bf4&h=libreoffice-5-3

tdf#104372 Update accelerator command of CTRL+M in Draw.

It will be available in 5.3.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Yousuf Philips (jay) (retired) 2017-04-21 23:03:17 UTC
Hi Mark,

Seems your patches are conflicting with the discussion going on in bug 87674 and it is planned that Ctrl + M will be used for insert a slide.
Comment 7 Timur 2017-05-12 18:07:14 UTC
(In reply to Mark Hung from comment #0)
> Ctrl + M is associated with clear direct formatting in Calc and Writer. I
> think that it will be good to have consistent key binding for this function.

In my view this is ok.
Comment 8 Mark Hung 2017-05-12 23:35:09 UTC
Hi Yousuf and Timur,

I missed this item for some while.

My commit didn't change the binding, it just made what had been there in effect.

This issue can be separate into two parts: 
1. no shortcut key was associated 
2. Ctrl+M for direct-formatting is preferred binding for me, at least from the respect of consistency between modules. 


However this issue has been closed, just continue the discussion in tdf#87674 and make whatever changes - as long as it has shortcut key associated and decision justified by good design.